Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getWebhooksCallbacksStatuses({
callbackId: "string",
organizationId: "string",
});
export const merakiOrganizationsWebhooksCallbacksStatusesExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_webhooks_callbacks_statuses(callback_id="string",
organization_id="string")
pulumi.export("merakiOrganizationsWebhooksCallbacksStatusesExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.GetWebhooksCallbacksStatuses(ctx, &organizations.GetWebhooksCallbacksStatusesArgs{
CallbackId: "string",
OrganizationId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsWebhooksCallbacksStatusesExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetWebhooksCallbacksStatuses.Invoke(new()
{
CallbackId = "string",
OrganizationId = "string",
});
return new Dictionary<string, object?>
{
["merakiOrganizationsWebhooksCallbacksStatusesExample"] = example.Apply(getWebhooksCallbacksStatusesResult => getWebhooksCallbacksStatusesResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetWebhooksCallbacksStatusesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getWebhooksCallbacksStatuses(GetWebhooksCallbacksStatusesArgs.builder()
.callbackId("string")
.organizationId("string")
.build());
ctx.export("merakiOrganizationsWebhooksCallbacksStatusesExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getWebhooksCallbacksStatuses
arguments:
callbackId: string
organizationId: string
outputs:
merakiOrganizationsWebhooksCallbacksStatusesExample: ${example.item}
Using getWebhooksCallbacksStatuses
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getWebhooksCallbacksStatuses(args: GetWebhooksCallbacksStatusesArgs, opts?: InvokeOptions): Promise<GetWebhooksCallbacksStatusesResult>
function getWebhooksCallbacksStatusesOutput(args: GetWebhooksCallbacksStatusesOutputArgs, opts?: InvokeOptions): Output<GetWebhooksCallbacksStatusesResult>def get_webhooks_callbacks_statuses(callback_id: Optional[str] = None,
organization_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetWebhooksCallbacksStatusesResult
def get_webhooks_callbacks_statuses_output(callback_id: Optional[pulumi.Input[str]] = None,
organization_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetWebhooksCallbacksStatusesResult]func GetWebhooksCallbacksStatuses(ctx *Context, args *GetWebhooksCallbacksStatusesArgs, opts ...InvokeOption) (*GetWebhooksCallbacksStatusesResult, error)
func GetWebhooksCallbacksStatusesOutput(ctx *Context, args *GetWebhooksCallbacksStatusesOutputArgs, opts ...InvokeOption) GetWebhooksCallbacksStatusesResultOutput> Note: This function is named GetWebhooksCallbacksStatuses in the Go SDK.
public static class GetWebhooksCallbacksStatuses
{
public static Task<GetWebhooksCallbacksStatusesResult> InvokeAsync(GetWebhooksCallbacksStatusesArgs args, InvokeOptions? opts = null)
public static Output<GetWebhooksCallbacksStatusesResult> Invoke(GetWebhooksCallbacksStatusesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetWebhooksCallbacksStatusesResult> getWebhooksCallbacksStatuses(GetWebhooksCallbacksStatusesArgs args, InvokeOptions options)
public static Output<GetWebhooksCallbacksStatusesResult> getWebhooksCallbacksStatuses(GetWebhooksCallbacksStatusesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getWebhooksCallbacksStatuses:getWebhooksCallbacksStatuses
arguments:
# arguments dictionaryThe following arguments are supported:
- Callback
Id string - callbackId path parameter. Callback ID
- Organization
Id string - organizationId path parameter. Organization ID
- Callback
Id string - callbackId path parameter. Callback ID
- Organization
Id string - organizationId path parameter. Organization ID
- callback
Id String - callbackId path parameter. Callback ID
- organization
Id String - organizationId path parameter. Organization ID
- callback
Id string - callbackId path parameter. Callback ID
- organization
Id string - organizationId path parameter. Organization ID
- callback_
id str - callbackId path parameter. Callback ID
- organization_
id str - organizationId path parameter. Organization ID
- callback
Id String - callbackId path parameter. Callback ID
- organization
Id String - organizationId path parameter. Organization ID
getWebhooksCallbacksStatuses Result
The following output properties are available:
- Callback
Id string - callbackId path parameter. Callback ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Webhooks Callbacks Statuses Item - Organization
Id string - organizationId path parameter. Organization ID
- Callback
Id string - callbackId path parameter. Callback ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Webhooks Callbacks Statuses Item - Organization
Id string - organizationId path parameter. Organization ID
- callback
Id String - callbackId path parameter. Callback ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Webhooks Callbacks Statuses Item - organization
Id String - organizationId path parameter. Organization ID
- callback
Id string - callbackId path parameter. Callback ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Webhooks Callbacks Statuses Item - organization
Id string - organizationId path parameter. Organization ID
- callback_
id str - callbackId path parameter. Callback ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Webhooks Callbacks Statuses Item - organization_
id str - organizationId path parameter. Organization ID
- callback
Id String - callbackId path parameter. Callback ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- organization
Id String - organizationId path parameter. Organization ID
Supporting Types
GetWebhooksCallbacksStatusesItem
- Callback
Id string - The ID of the callback
- Created
By GetWebhooks Callbacks Statuses Item Created By - Information around who initiated the callback
- Errors List<string>
- The errors returned by the callback
- Status string
- The status of the callback
- Webhook
Get
Webhooks Callbacks Statuses Item Webhook - The webhook receiver used by the callback to send results
- Callback
Id string - The ID of the callback
- Created
By GetWebhooks Callbacks Statuses Item Created By - Information around who initiated the callback
- Errors []string
- The errors returned by the callback
- Status string
- The status of the callback
- Webhook
Get
Webhooks Callbacks Statuses Item Webhook - The webhook receiver used by the callback to send results
- callback
Id String - The ID of the callback
- created
By GetWebhooks Callbacks Statuses Item Created By - Information around who initiated the callback
- errors List<String>
- The errors returned by the callback
- status String
- The status of the callback
- webhook
Get
Webhooks Callbacks Statuses Item Webhook - The webhook receiver used by the callback to send results
- callback
Id string - The ID of the callback
- created
By GetWebhooks Callbacks Statuses Item Created By - Information around who initiated the callback
- errors string[]
- The errors returned by the callback
- status string
- The status of the callback
- webhook
Get
Webhooks Callbacks Statuses Item Webhook - The webhook receiver used by the callback to send results
- callback_
id str - The ID of the callback
- created_
by GetWebhooks Callbacks Statuses Item Created By - Information around who initiated the callback
- errors Sequence[str]
- The errors returned by the callback
- status str
- The status of the callback
- webhook
Get
Webhooks Callbacks Statuses Item Webhook - The webhook receiver used by the callback to send results
- callback
Id String - The ID of the callback
- created
By Property Map - Information around who initiated the callback
- errors List<String>
- The errors returned by the callback
- status String
- The status of the callback
- webhook Property Map
- The webhook receiver used by the callback to send results
GetWebhooksCallbacksStatusesItemCreatedBy
- Admin
Id string - The ID of the user who initiated the callback
- Admin
Id string - The ID of the user who initiated the callback
- admin
Id String - The ID of the user who initiated the callback
- admin
Id string - The ID of the user who initiated the callback
- admin_
id str - The ID of the user who initiated the callback
- admin
Id String - The ID of the user who initiated the callback
GetWebhooksCallbacksStatusesItemWebhook
- Http
Server GetWebhooks Callbacks Statuses Item Webhook Http Server - The webhook receiver used for the callback webhook
- Payload
Template GetWebhooks Callbacks Statuses Item Webhook Payload Template - The payload template of the webhook used for the callback
- Sent
At string - The timestamp the callback was sent to the webhook receiver
- Url string
- The webhook receiver URL where the callback will be sent
- Http
Server GetWebhooks Callbacks Statuses Item Webhook Http Server - The webhook receiver used for the callback webhook
- Payload
Template GetWebhooks Callbacks Statuses Item Webhook Payload Template - The payload template of the webhook used for the callback
- Sent
At string - The timestamp the callback was sent to the webhook receiver
- Url string
- The webhook receiver URL where the callback will be sent
- http
Server GetWebhooks Callbacks Statuses Item Webhook Http Server - The webhook receiver used for the callback webhook
- payload
Template GetWebhooks Callbacks Statuses Item Webhook Payload Template - The payload template of the webhook used for the callback
- sent
At String - The timestamp the callback was sent to the webhook receiver
- url String
- The webhook receiver URL where the callback will be sent
- http
Server GetWebhooks Callbacks Statuses Item Webhook Http Server - The webhook receiver used for the callback webhook
- payload
Template GetWebhooks Callbacks Statuses Item Webhook Payload Template - The payload template of the webhook used for the callback
- sent
At string - The timestamp the callback was sent to the webhook receiver
- url string
- The webhook receiver URL where the callback will be sent
- http_
server GetWebhooks Callbacks Statuses Item Webhook Http Server - The webhook receiver used for the callback webhook
- payload_
template GetWebhooks Callbacks Statuses Item Webhook Payload Template - The payload template of the webhook used for the callback
- sent_
at str - The timestamp the callback was sent to the webhook receiver
- url str
- The webhook receiver URL where the callback will be sent
- http
Server Property Map - The webhook receiver used for the callback webhook
- payload
Template Property Map - The payload template of the webhook used for the callback
- sent
At String - The timestamp the callback was sent to the webhook receiver
- url String
- The webhook receiver URL where the callback will be sent
GetWebhooksCallbacksStatusesItemWebhookHttpServer
- Id string
- The webhook receiver ID that will receive information
- Id string
- The webhook receiver ID that will receive information
- id String
- The webhook receiver ID that will receive information
- id string
- The webhook receiver ID that will receive information
- id str
- The webhook receiver ID that will receive information
- id String
- The webhook receiver ID that will receive information
GetWebhooksCallbacksStatusesItemWebhookPayloadTemplate
- Id string
- The ID of the payload template
- Id string
- The ID of the payload template
- id String
- The ID of the payload template
- id string
- The ID of the payload template
- id str
- The ID of the payload template
- id String
- The ID of the payload template
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
